SOARecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class SOARecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.SOARecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class SOARecord
      extends Record

  Start of Authority - describes properties of a zone.
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SOARecord(Name name, int dclass, long ttl, Name host, Name admin, long serial, long refresh, long retry, long expire, long minimum)` Creates an SOA Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `getAdmin()` Returns the zone administrator's address
    `long` | `getExpire()` Returns the time until a secondary expires a zone
    `Name` | `getHost()` Returns the primary name server
    `long` | `getMinimum()` Returns the minimum TTL for records in the zone
    `long` | `getRefresh()` Returns the zone refresh interval
    `long` | `getRetry()` Returns the zone retry interval
    `long` | `getSerial()` Returns the zone's serial number

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SOARecord

          public SOARecord(Name name,
                   int dclass,
                   long ttl,
                   Name host,
                   Name admin,
                   long serial,
                   long refresh,
                   long retry,
                   long expire,
                   long minimum)

      Creates an SOA Record from the given data
      Parameters:
        `host` - The primary name server for the zone
        `admin` - The zone administrator's address
        `serial` - The zone's serial number
        `refresh` - The amount of time until a secondary checks for a new serial number
        `retry` - The amount of time between a secondary's checks for a new serial number
        `expire` - The amount of time until a secondary expires a zone
        `minimum` - The minimum TTL for records in the zone

  - ### Method Detail

    - #### getHost

          public Name getHost()

      Returns the primary name server

    - #### getAdmin

          public Name getAdmin()

      Returns the zone administrator's address

    - #### getSerial

          public long getSerial()

      Returns the zone's serial number

    - #### getRefresh

          public long getRefresh()

      Returns the zone refresh interval

    - #### getRetry

          public long getRetry()

      Returns the zone retry interval

    - #### getExpire

          public long getExpire()

      Returns the time until a secondary expires a zone

    - #### getMinimum

          public long getMinimum()

      Returns the minimum TTL for records in the zone